Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::SymMatrixSpace Class Referenceabstract

SymMatrixSpace base class, corresponding to the SymMatrix base class. More...

`#include <IpSymMatrix.hpp>`

Inheritance diagram for Ipopt::SymMatrixSpace:
[legend]

## Public Member Functions
virtual SymMatrix * | MakeNewSymMatrix () const =0
| Pure virtual method for creating a new matrix of this specific type. More...
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
Index | Dim () const
| Accessor method for the dimension of the matrices in this matrix space. More...
Constructors/Destructors
| SymMatrixSpace (Index dim)
| Constructor, given the dimension (identical to the number of rows and columns). More...
virtual | ~SymMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| SymMatrixSpace ()
| default constructor More...
| SymMatrixSpace (const SymMatrixSpace &)
SymMatrixSpace & | operator= (const SymMatrixSpace &)
| Overloaded Equals Operator. More...

## Detailed Description

SymMatrixSpace base class, corresponding to the SymMatrix base class.

Definition at line 81 of file IpSymMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::SymMatrixSpace::SymMatrixSpace | ( | Index | dim | ) |
| inline

Constructor, given the dimension (identical to the number of rows and columns).

Definition at line 89 of file IpSymMatrix.hpp.

virtual Ipopt::SymMatrixSpace::~SymMatrixSpace | ( |  | ) |
| inline virtual

Destructor.

Definition at line 95 of file IpSymMatrix.hpp.

Ipopt::SymMatrixSpace::SymMatrixSpace | ( |  | ) |
| private

default constructor

Ipopt::SymMatrixSpace::SymMatrixSpace | ( | const SymMatrixSpace & |  | ) |
| private

## Member Function Documentation

virtual SymMatrix* Ipopt::SymMatrixSpace::MakeNewSymMatrix | ( |  | ) | const
| pure virtual

Pure virtual method for creating a new matrix of this specific type.

Implemented in Ipopt::CompoundSymMatrixSpace, Ipopt::SymTMatrixSpace, Ipopt::LowRankUpdateSymMatrixSpace, Ipopt::DenseSymMatrixSpace, Ipopt::SymScaledMatrixSpace, Ipopt::SumSymMatrixSpace, Ipopt::IdentityMatrixSpace, Ipopt::DiagMatrixSpace, and Ipopt::ZeroSymMatrixSpace.

virtual Matrix* Ipopt::SymMatrixSpace::MakeNew | ( |  | ) | const
| inline virtual

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Reimplemented in Ipopt::SymScaledMatrixSpace, and Ipopt::ZeroSymMatrixSpace.

Definition at line 105 of file IpSymMatrix.hpp.

Index Ipopt::SymMatrixSpace::Dim | ( |  | ) | const
| inline

Accessor method for the dimension of the matrices in this matrix space.

Definition at line 113 of file IpSymMatrix.hpp.

SymMatrixSpace& Ipopt::SymMatrixSpace::operator= | ( | const SymMatrixSpace & |  | ) |
| private

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- src/LinAlg/IpSymMatrix.hpp